*Bacheloroppgave
use "C:\Users\Brita E. Finne\Documents\Samføk2\Bachelor\Bachelor\data2901-Norway.dta", clear // laster inn datasettet data2901-Norway

sum read // deskriptiv statistikk av avhengig variabel
histogram read, freq // lager histogram for fordeling av avhengig variabel

sum kinderg_att // deskriptiv statistikk av interessevariabel
sum read if kinderg_att==1 // Deskriptiv statistikk for avhengig variabel hvis barnet har gått i barnehage
sum read if kinderg_att==0 // Deskriptiv statistikk for avhengig variabel hvis barnet ikke har gått i barnehage
hist read if kinderg_att==1 // histogram for read(avhengig variabel) hvis barnet har gått i barnehage
hist read if kinderg_att==0 // histogram for read(avhengig variabel) hvis barnet ikke har gått i barnehage

gen Dedu_higher=0 if par_edu!=. // genererer en dummy for høyere utdanning
replace Dedu_higher=1 if par_edu <= 2 // bestemmer at 1 betyr høyere utdanning, mend 0 betyr secondary eller ingen utdanning

gen Dincome30000plus=0 if income!=. // genererer en dummy for familieinntekt på 30000 eller mer
replace Dincome30000plus=1 if income>2 // bestemmer at 1 betyr inntekt på 30000 eller mer, 0 ellers

rename kinderg_att kindg // endrer variabelnavn
rename Dincome30000plus inc // endrer variabelnavn
rename Dedu_higher edu // endrer variabelnavn
rename par_not_born born // endrer variabelnavn

sum Dedu_higher par_not_born Dincome30000plus girl // des statistikk for kontrollvariable
sum Dedu_higher par_not_born Dincome30000plus girl if kinderg_att==1 // deskriptiv statistikk for kontrollvariablene hvis barnet har gått i barnehage
sum Dedu_higher par_not_born Dincome30000plus girl if kinderg_att==0 // deskriptiv statistikk for kontrollvariablene hvis barnet ikke har gått i barnehage

corr read kindg edu born inc girl // korrelasjonen mellom datamateriale

reg read kindg // kjører regresjonen read = alpha + delta*kindg + epsilon
est store m0 // lagrer estimatene for å kunne lage tabell

reg read kindg edu born inc girl // kjører regresjonen read = alpha + delta*kindg + beta1*edu +beta2*born + beta3*inc + beta4*girl + epsilon
est store m1 // lagrer estimatene for å kunne lage tabell

gen kindg_edu = kindg*edu // genererer interaksjonsledd mellom kindg og edu
gen kindg_born = kindg*born // genereer interaksjonsledd mellom kindg og born

reg read kindg edu kindg_edu born inc girl // kjører regresjonen read = alpha + delta*kindg + beta1*edu + rho1*kindg_edu + beta2*born + beta3*inc + beta4*girl + epsilon
est store m2 // lagrer estimatene for å lage tabell
reg read kindg edu born kindg_born inc girl // kjører regresjonen read = alpha + delta*kindg + beta1*edu +beta2*born + rho2*kindg_born + beta3*inc + beta4*girl + epsilon
est store m3 // lagrer estimatene for å lage tabell 
outreg2 [m0 m1 m2 m3] using reg_bach,bdec(3) sdec(3) word  noaster replace // lager tabell i word med regresjonsresultatene
shellout using `"reg_bach.rtf"'

test kindg // gjennomfører t-test for å skjekke signifikansenivået 
test edu // gjennomfører t-test for å skjekke signifikansenivået 
test born // gjennomfører t-test for å skjekke signifikansenivået 
test inc // gjennomfører t-test for å skjekke signifikansenivået 
test girl // gjennomfører t-test for å skjekke signifikansenivået 

test kindg_edu // gjennomfører t-test for å skjekke signifikansenivået
test kindg_born // gjennomfører t-test for å skjekke signifikansenivået
